Bug 810565 - Circular build dependency in perl-CGI-Emulate-PSGI-0.14-2.fc18
Circular build dependency in perl-CGI-Emulate-PSGI-0.14-2.fc18
Product: Fedora
Classification: Fedora
Component: perl-CGI-Emulate-PSGI (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Emmanuel Seyman
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-04-06 14:03 EDT by Paul Howarth
Modified: 2012-04-14 00:32 EDT (History)
5 users (show)

See Also:
Fixed In Version: perl-CGI-Emulate-PSGI-0.14-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-14 00:32:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2012-04-06 14:03:59 EDT
perl-CGI-Emulate-PSGI has a buildreq of perl(Plack::Test) that's used in one of its tests. This module is provided by the perl-Plack package, which itself requires perl(CGI::Emulate::PSGI), resulting in circular build dependencies.

It would be good if you could wrap that buildreq in a %perl_bootstrap conditional to make the perl 5.16 bootstrap process easier:

diff --git a/perl-CGI-Emulate-PSGI.spec b/perl-CGI-Emulate-PSGI.spec
index 74bc3e1..d28238a 100644
--- a/perl-CGI-Emulate-PSGI.spec
+++ b/perl-CGI-Emulate-PSGI.spec
@@ -12,7 +12,10 @@ BuildRequires:  perl(CGI)
 BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
 BuildRequires:  perl(HTTP::Response)
 BuildRequires:  perl(Test::Builder::Module)
+# perl-Plack requires perl-CGI-Emulate-PSGI itself
+%if 0%{!?perl_bootstrap:1}
 BuildRequires:  perl(Plack::Test)
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Comment 1 Emmanuel Seyman 2012-04-07 06:22:35 EDT
I'm afraid this can't be built in mock right now.
Plack drags in mod_perl which doesn't work with the current httpd.
I'll keep a look out on things.
Comment 2 Paul Howarth 2012-04-08 15:16:46 EDT
mod_perl is still installable in F-17 so you may be able to test it there?
Comment 3 Emmanuel Seyman 2012-04-09 14:18:34 EDT
Okay, tested and found working.

What happens now? Do I release an update for f17? If I build on the f17 branch, will rawhide inherit that build? Do I just wait for mod-perl to become installable on rawhide?
Comment 4 Paul Howarth 2012-04-09 14:32:30 EDT
Rawhide will inherit an f17 build if and only if there has never been a rawhide (fc18) build of the package. That seems to be the case here.

As for whether mod_perl will become installable before the interminable f17 beta freeze ends, your guess is as good as mine :-) I'd do the f17 build and get it into testing so that it's ready to go stable and be inherited by Rawhide after the f17 beta release, just in case.
Comment 5 Fedora Update System 2012-04-09 16:23:22 EDT
perl-CGI-Emulate-PSGI-0.14-3.fc17 has been submitted as an update for Fedora 17.
Comment 6 Paul Howarth 2012-04-10 04:58:35 EDT
Don't forget to merge the change from f17 into master...
Comment 7 Fedora Update System 2012-04-10 16:15:05 EDT
Package perl-CGI-Emulate-PSGI-0.14-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-CGI-Emulate-PSGI-0.14-3.fc17'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-04-14 00:32:07 EDT
perl-CGI-Emulate-PSGI-0.14-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.